LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
Container Service Referencepublished

describes every container which is used for data definition. More...

`import"Container.idl";`

Inheritance diagram for Container:

## Exported Interfaces
interface | com::sun::star::container::XNameAccess
interface | com::sun::star::container::XIndexAccess
interface | com::sun::star::container::XEnumerationAccess
interface | com::sun::star::util::XRefreshable
| is optional for implementation. More...
interface | XDataDescriptorFactory
| optional for implementation. More...
interface | XAppend
| optional for implementation, provides the possibility of adding a new element to the container. More...
interface | XDrop
| optional for implementation, provides the possibility of dropping an element from the container. More...

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Protected Member Functions inherited from XRefreshable
void | refresh ()
| refreshes the data of the object from the connected data source. More...
void | addRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| adds the specified listener to receive the event "refreshed." More...
void | removeRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| removes the specified listener. More...
Protected Member Functions inherited from XDataDescriptorFactory
com::sun::star::beans::XPropertySet | createDataDescriptor ()
| returns a descriptor of a definition object. More...
Protected Member Functions inherited from XAppend
void | appendByDescriptor ([in]com::sun::star::beans::XPropertySet descriptor) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::ElementExistException)
| creates a new object using the given descriptor and appends it to the related container. More...
Protected Member Functions inherited from XDrop
void | dropByName ([in]string elementName) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::NoSuchElementException)
| drops an object of the related container identified by its name. More...
void | dropByIndex ([in]long index) raises (com::sun::star::sdbc::SQLException, com::sun::star::lang::IndexOutOfBoundsException)
| drops an object of the related container identified by its position. More...

## Detailed Description

describes every container which is used for data definition.

Each container must support access to its elements by the element's name or by the element's position.

Simple enumeration must be supported as well.

To reflect the changes with the underlying database, a refresh mechanism needs to be supported.

A container may support the possibility to add new elements or to drop existing elements. Additions are always done by descriptors which define the properties of the new element.

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

## ◆ com::sun::star::util::XRefreshable

interface com::sun::star::util::XRefreshable
| optional

is optional for implementation.

Used to reflect changes.

## ◆ XAppend

interface XAppend
| optional

optional for implementation, provides the possibility of adding a new element to the container.

## ◆ XDataDescriptorFactory

interface XDataDescriptorFactory
| optional

optional for implementation.

Allows to create descriptor elements which then could be used to append new elements.

## ◆ XDrop

interface XDrop
| optional

optional for implementation, provides the possibility of dropping an element from the container.

The documentation for this service was generated from the following file:

- com/sun/star/sdbcx/Container.idl